/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to you under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: BaseViewController.java 464373 2006-10-16 04:21:54Z rahul $
 */

package org.apache.shale.examples.mailreader;

import org.apache.shale.view.AbstractViewController;
import org.apache.struts.apps.mailreader.dao.UserDatabase;;

/**
 * <p>Convenience abstract base <code>ViewController</code>
 * for the Mail Reader example application.</p>
 */

public abstract class BaseViewController extends AbstractViewController {
    
    
    // -------------------------------------------------------------- Properties


    // ---------------------------------------------------------- Event Handlers


    // -------------------------------------------------- ViewController Methods


    // ------------------------------------------------------- Protected Methods


    /**
     * <p>Return the state saving bean for this user's transaction state.</p>
     */
    protected State getState() {
        
        // Look up the state saving bean,
        // using the 'getBean' method inherited from AbstractFacesBean
        return (State) getBean("state");

    }


    /**
     * <p>Return the DAO for our user database.</p>
     */
    protected UserDatabase getUserDatabase() {

        // Look up the DAO for the user database,
        // using the 'getBean' method inherited from AbstractFacesBean
        return (UserDatabase) getBean("database");

    }


}
